## kmyfirewall-trinity 14.2.0~pre77

=== kmyfirewall/compilers/CMakeLists.txt ===
##### subfolders

if( CMAKE_SYSTEM_NAME STREQUAL "Linux" )
  add_subdirectory( iptables )
endif( )


##### other data

tde_create_translated_desktop(
  SOURCE kmfcompilerplugin.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

=== kmyfirewall/core/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)

##### libkmfcore

tde_add_library( kmfcore SHARED AUTOMOC
  SOURCES
    ipaddress.cpp iptable.cpp iptchain.cpp iptrule.cpp iptruleoption.cpp kmfapp.cpp kmfappstate.cpp
    kmfcheckinput.cpp kmfcompilerinterface.cpp kmfconfig.kcfgc kmfdoc.cpp kmferror.cpp
    kmferrorhandler.cpp kmfgenericdoc.cpp kmfinstallerinterface.cpp kmfiptdoc.cpp kmfnethost.cpp
    kmfnetwork.cpp kmfnetzone.cpp kmfnetzonelist.cpp kmfplugin.cpp kmfpluginfactory.cpp
    kmfprotocol.cpp kmfprotocolcategory.cpp kmfprotocollibrary.cpp kmfprotocolusage.cpp
    kmfruleeditinterface.cpp kmfruleoptioneditinterface.cpp kmfrulesetdoc.cpp
    kmfruletargetoptioneditinterface.cpp kmftargetconfig.cpp kmftarget.cpp kmftransaction.cpp
    kmfundoengine.cpp kmyfirewallinterface.cpp tdeprocesswrapper.cpp netfilterobject.cpp xmlnames.cpp
  LINK
    tdecore-shared tdeui-shared tdeio-shared tdeparts-shared
  VERSION 0.0.0
  DESTINATION ${LIB_INSTALL_DIR}
)

##### other data

install(
  FILES kmfprotocollibrary.xml
  DESTINATION ${DATA_INSTALL_DIR}/kmyfirewall/protocols
)

install(
  FILES kmfconfig.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

install(
  FILES 
    ipaddress.h iptable.h iptchain.h iptrule.h iptruleoption.h kmfapp.h kmfappstate.h
    kmfcheckinput.h kmfcompilerinterface.h kmfdoc.h kmferror.h kmferrorhandler.h kmfgenericdoc.h
    kmfinstallerinterface.h kmfiptdoc.h kmfnethost.h kmfnetwork.h kmfnetzone.h kmfnetzonelist.h
    kmfplugin.h kmfpluginfactory.h kmfprotocol.h kmfprotocolcategory.h kmfprotocollibrary.h
    kmfprotocolusage.h kmfruleeditinterface.h kmfruleoptioneditinterface.h kmfrulesetdoc.h
    kmfruletargetoptioneditinterface.h kmftargetconfig.h kmftarget.h kmftransaction.h
    kmfundoengine.h kmyfirewallinterface.h tdeprocesswrapper.h netfilterobject.h xmlnames.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kmyfirewall/core
)

=== kmyfirewall/ipteditor/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kmyfirewall/kmfwidgets
)

##### libkmfipteditorpart

tde_add_library( kmfipteditorpart SHARED AUTOMOC
  SOURCES
    kmfchainedit.cpp kmfnewchaindlg.cpp kmfruleedit.cpp kmfipteditorpart.cpp
    kmyfirewallchaineditor.ui kmyfirewallchaineditornewchain.ui kmyfirewallruleeditor.ui
  LINK
    kmfcore-shared kmfwidgets-shared tdecore-shared tdeui-shared tdeio-shared tdeparts-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

set_property(
  SOURCE kmfruleedit.h
  APPEND PROPERTY OBJECT_DEPENDS
  ${CMAKE_BINARY_DIR}/kmyfirewall/ipteditor/kmyfirewallruleeditor.h
)


##### other data

tde_create_translated_desktop(
    SOURCE kmfipteditorpart.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

install(
    FILES kmfipteditorpartui.rc
    DESTINATION ${DATA_INSTALL_DIR}/kmfipteditorpart
)

install(
    FILES kmfruleoption_frag_option.xml
    DESTINATION ${DATA_INSTALL_DIR}/kmyfirewall/ruleoptions
)

=== kmyfirewall/ruleoptionplugins/CMakeLists.txt ===
##### subfolders

add_subdirectory( interface_option )
add_subdirectory( ip_option )
add_subdirectory( limit_option )
add_subdirectory( mac_option )
add_subdirectory( protocol_option )
add_subdirectory( state_option )
add_subdirectory( tos_option )
add_subdirectory( nat_target_option )
add_subdirectory( custom_option )
add_subdirectory( tos_target_option )
add_subdirectory( log_target_option )
add_subdirectory( mark_target_option )


##### other data

tde_create_translated_desktop(
    SOURCE kmfruleoptionedit.desktop kmfruletargetoptionedit.desktop
    DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

=== kmyfirewall/ruleoptionplugins/nat_target_option/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
)

##### libkmfruletargetoptionedit_nat

tde_add_library( kmfruletargetoptionedit_nat SHARED AUTOMOC
  SOURCES
    kmfruletargetoptioneditnat.cpp kmfruleeditortargetnat.cpp kmyfirewallruleeditortargetnat.ui
  LINK
    kmfcore-shared tdecore-shared tdeui-shared tdeio-shared tdeparts-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
  SOURCE kmfruletargetoptionedit_nat.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install(
  FILES kmfruleoption_target_nat_option.xml
  DESTINATION ${DATA_INSTALL_DIR}/kmyfirewall/ruleoptions
)

=== debian/changelog ===
kmyfirewall-trinity (4:14.2.0~pre77-0debian13.0.0+10) trixie; urgency=low

  * Automated git build for 9e99140b8175d64ab411c54321b4f8aa19afc65f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kmyfirewall

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
Source: kmyfirewall-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
Standards-Version: 3.8.4
Homepage: http://kmyfirewall.sourceforge.net/

Package: kmyfirewall-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kmyfirewall-trinity (<< 4:14.0.0~)
Breaks: kmyfirewall-trinity (<< 4:14.0.0~)
Description: iptables based firewall configuration tool for TDE [Trinity]
 KMyFirewall attempts to make it easier to setup iptables based firewalls on
 Linux systems. It will be the right tool if you like to have a so called
 "Personal Firewall" running on your Linux box, but don't have the time and/or
 the interest to spend hours in front of the iptables manual just to setup a 
 Firewall that keeps the "bad" people out.
 .
 There is also the possibility to save entire rule sets, so you only have to
 configure your rule set one time and then you can use it on several computers
 giving each of them a similar configuration (p.e. school networks, office,
 university etc.)

## kmyfirewall-trinity 14.2.0~pre78

=== debian/changelog ===
kmyfirewall-trinity (4:14.2.0~pre78-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for f1e7fa32d061360603da2164367ca5d0fb9653ca
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kmyfirewall

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:03:54 +0100
